package com.xt.hb.gis.common;

/**
 * 通用记录状态
 * 
 * @author 袁晓冬
 *
 */
public enum RecordStatus {
    /**
     * 记录状态-正常
     */
    NORMAL("1"),
    /**
     * 记录状态-删除
     */
    DELETE("9");

    private String value;

    private RecordStatus(String value) {
        this.value = value;
    }

    public String getValue() {
        return this.value;
    }

    @Override
    public String toString() {
        return this.value;
    }

    /**
     * 是否删除(DELETE)状态
     * 
     * @param status
     * @return
     */
    public static boolean isDelete(String status) {
        return DELETE.getValue().equals(status);
    }

    /**
     * 判断记录状态是否为正常(NORMAL)状态
     * 
     * @param status
     * @return
     */
    public static boolean isNormal(String status) {
        return NORMAL.getValue().equals(status);
    }
}
